<?php
require'fun.php';
$sex=(isset($_GET['sex'])?$_GET['sex']:'');
$x1=($sex!=''?($sex=='M'?'Baieti conectați':'Fete conectate'):'Conectați');
$x2='';
if($cid!='')
{
$x1.=' '.$cid;
$x2.='/categorie/'.$cid;
}
if($go!='')
{
$x2.='/tip/'.$go;
$go=rawurldecode($go);
$x1.=' din '.$go;
}
if($pid!='')
{
$x1.=', sortat'.($sex=='F'?'e':'i').' după '.($pid=='1'?'ultima actiune':'data înregistrării');
$x2.='/id/'.$pid;
}
if($sex!='')
$x2.='?sex='.$sex;
require'f_conectare.php';
conectare($x1,'conectati'.$x2);
$titlu=$x1;
require'f_tabelare.php';
if($de>0)
{
require'f_refresh.php';
$head[4]=refresh('/conectati'.$x2);
}
if($cid=='chat')
$back[1]='<a href="/chat">'.img('chat.png',1).'Chat</a>';
elseif($cid=='forum')
$back[1]='<a href="/forum">'.img('forum.png',2).'Forum</a>';
elseif($cid=='trivia')
$back[1]='<a href="/joaca-trivia">'.img('trivia.png',1).'Trivia</a>';
elseif($cid=='spunecartea')
$back[1]='<a href="/joaca-spune-cartea">'.img('spune.png',2).'Spune Cartea</a>';
elseif($cid=='anagrame')
$back[1]='<a href="/joaca-anagrame">'.img('anagrame.png',1).'Anagrame</a>';
elseif($cid=='triburi')
$back[1]='<a href="/triburile2">Triburi</a>';
require'f_sus.php';
if($de>0)
require'f_nou.php';
if($cid=='')
{
echo$div[8].'<a href="/seteaza-status-conectati">'.img('status.gif',2).'Seteaza status conectați</a><br /><a href="/administratori">'.img('administratori.png',2).'Administratori</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM`membrii`WHERE`perm`>"0"&&`vizibil`="0"&&`activitate`>"'.($_SERVER['REQUEST_TIME']-$conn->query('SELECT`valoare`FROM`setari`WHERE`nume`="expirare_sesiune"')->fetch_row()[0]).'"')->fetch_row()[0]).'/'.number_format($conn->query('SELECT COUNT(*)FROM`membrii`WHERE`perm`>"0"')->fetch_row()[0]).'</strong><br /><a href="/sorteaza-membrii-conectati">'.img('group.gif',1).'Sorteaza membrii conectați</a><br />';
if($de>0)
{
$locatia=$conn->query('SELECT`location`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0];
$toti_on_judet=$conn->query('SELECT COUNT(*)FROM`membrii`,`membrii_conectati`WHERE`membrii`.`id`=`membrii_conectati`.`de`&&`membrii`.`location`="'.$locatia.'"&&`membrii`.`vizibil`="0"')->fetch_row();
if($toti_on_judet[0]>0)
echo'<a href="/conectati/tip/'.$locatia.'">'.img('group.gif',1).'Conectați din '.$locatia.'</a> <strong>'.number_format($toti_on_judet[0]).'</strong><br />';
}
echo'<a href="/cauta-membru">'.img('search.png',2).'Cauta membru</a><strong> - </strong><a href="/harta-conectati">'.img('locatie.png',1).'Harta conectați</a>'.$div[0];
$gen=($sex!=''?'&&`membrii`.`sex`="'.$sex.'"':'');
$elemente=$conn->query('SELECT COUNT(*)FROM`membrii`,`membrii_conectati`WHERE`membrii`.`id`=`membrii_conectati`.`de`'.($go!=''?'&&`membrii`.`location`="'.$go.'"':'').'&&`membrii`.`vizibil`="0"'.$gen)->fetch_row()[0];
}
elseif($cid=='chat')
$elemente=$conn->query('SELECT COUNT(*)FROM`membrii`,`chat_conectati`WHERE`membrii`.`id`=`chat_conectati`.`de`&&`membrii`.`vizibil`="0"')->fetch_row()[0];
elseif($cid=='forum')
$elemente=$conn->query('SELECT COUNT(*)FROM`membrii`,`forum_conectati`WHERE`membrii`.`id`=`forum_conectati`.`de`&&`membrii`.`vizibil`="0"')->fetch_row()[0];
elseif($cid=='trivia')
$elemente=$conn->query('SELECT COUNT(*)FROM`membrii`,`trivia_conectati`WHERE`membrii`.`id`=`trivia_conectati`.`de`&&`membrii`.`vizibil`="0"')->fetch_row()[0];
elseif($cid=='spunecartea'&&$meniu['biblia']==1)
$elemente=$conn->query('SELECT COUNT(*)FROM`membrii`,`spune_cartea_conectati`WHERE`membrii`.`id`=`spune_cartea_conectati`.`de`&&`membrii`.`vizibil`="0"')->fetch_row()[0];
elseif($cid=='anagrame')
$elemente=$conn->query('SELECT COUNT(*)FROM`membrii`,`anagrame_conectati`WHERE`membrii`.`id`=`anagrame_conectati`.`de`&&`membrii`.`vizibil`="0"')->fetch_row()[0];
elseif($cid=='triburi')
$elemente=$conn->query('SELECT COUNT(*)FROM`membrii`,`t2_conectati`WHERE`membrii`.`id`=`t2_conectati`.`de`&&`membrii`.`vizibil`="0"')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
if($cid=='')
{
if($pid=='')
$ord_fields='`membrii`.`nume`';
elseif($pid==1)
$ord_fields='`membrii`.`activitate`DESC ';
elseif($pid==2)
$ord_fields='`membrii`.`data`';
$sql='SELECT`membrii`.`id`,`membrii`.`activitate`,`membrii`.`status`,`membrii`.`perm`,`membrii_conectati`.`loc`,`membrii_conectati`.`link`FROM`membrii`,`membrii_conectati`WHERE`membrii`.`id`=`membrii_conectati`.`de`'.($go!=''?'&&`membrii`.`location`="'.$go.'"':'').'&&`membrii`.`vizibil`="0"'.$gen.' ORDER BY'.$ord_fields.'LIMIT '.$limit_start.','.$pe_pagina;
}
elseif($cid=='forum')
$sql='SELECT`membrii`.`id`,`membrii`.`activitate`,`membrii`.`status`FROM`membrii`,`forum_conectati`WHERE`membrii`.`id`=`forum_conectati`.`de`&&`membrii`.`vizibil`="0"ORDER BY`membrii`.`nume`LIMIT '.$limit_start.','.$pe_pagina;
elseif($cid=='trivia')
$sql='SELECT`membrii`.`id`,`membrii`.`activitate`,`membrii`.`status`FROM`membrii`,`trivia_conectati`WHERE`membrii`.`id`=`trivia_conectati`.`de`&&`membrii`.`vizibil`="0"ORDER BY`membrii`.`nume`LIMIT '.$limit_start.','.$pe_pagina;
elseif($cid=='spunecartea'&&$meniu['biblia']==1)
$sql='SELECT`membrii`.`id`,`membrii`.`activitate`,`membrii`.`status`FROM`membrii`,`spune_cartea_conectati`WHERE`membrii`.`id`=`spune_cartea_conectati`.`de`&&`membrii`.`vizibil`="0"ORDER BY`membrii`.`nume`LIMIT '.$limit_start.','.$pe_pagina;
elseif($cid=='anagrame')
$sql='SELECT`membrii`.`id`,`membrii`.`activitate`,`membrii`.`status`FROM`membrii`,`anagrame_conectati`WHERE`membrii`.`id`=`anagrame_conectati`.`de`&&`membrii`.`vizibil`="0"ORDER BY`membrii`.`nume`LIMIT '.$limit_start.','.$pe_pagina;
elseif($cid=='triburi')
$sql='SELECT`membrii`.`id`,`membrii`.`activitate`,`membrii`.`status`FROM`membrii`,`t2_conectati`WHERE`membrii`.`id`=`t2_conectati`.`de`&&`membrii`.`vizibil`="0"ORDER BY`membrii`.`nume`LIMIT '.$limit_start.','.$pe_pagina;
$items=$conn->query($sql);
require'f_ramas.php';
require'f_profil.php';
require'f_svl.php';
require'f_filtru.php';
while($item=$items->fetch_row())
{
$idle=ramas($_SERVER['REQUEST_TIME']-$item[1]);
if($item[0]==$de)
$idle='0 secunde';
if($idle=='')
$idle='2 secunde';
echo'<tr><td'.$clasa_kk.'><a href="/profil-membru/la/'.$item[0].'-'.seo(nume($item[0],1)).'">'.avatar($item[0]).'</a></td><td'.$clasa_k.'>'.$clasa_n.profil($item[0]).'<small> acum '.$idle.'</small>'.$div[0].$clasa_normal.svl($item[0]);
###echo'<br /><a href="/trimite-alerta/la/'.$item[0].'-'.seo(nume($item[0],1))">alerta</a><a href="/trimite-mesaj/la/'.$item[0].'-'.seo(nume($item[0],1)).'">mesaj</a>';
if($cid=='')
{
if($item[5]!='')
$uact='<a href="'.$item[5].'">'.$item[4].'</a>';
else
$uact=$item[4];
if($item[3]>0)
$uact='';
if($uact!='')
echo'<br />'.$uact;
}
if($item[2]!=''&&$de>0)
echo'<br />'.filtru($item[2]);
echo$div[0].'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt membri conectați'.($cid!=''?' în '.$cid:'').'!'.$div[0];
require'f_jos.php';